
@import url("https://fonts.googleapis.com/css?family=Montserrat");

:root {
  /* ===== Colors ===== */
  --darkest-blue: #1a237e;
  --darker-blue: #283593;
  --dark-blue: #303f9f;
  --medium-blue: #3949ab;
  --light-blue: #3f51b5;
  --lighter-blue: #5c6bc0;
  --lightest-blue: #9fa8da;
  --white: #ffffff;
  --black: #0e1442;
  --orange: #ffb300;
  --yellow: #fdd835;
  --dark-pink: #ad1457;
  --light-pink: #d81b60;
}

@charset "UTF-8";
* {
  outline: none;
}

*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}

html,
body {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  background: linear-gradient(34deg, rgba(20,11,32,1) 0%, rgba(99,35,63,1) 100%);
  cursor: default;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
}

a {
  text-decoration: none;
  color: var(--white);
  display: block;
  transition-duration: 0.3s;
}

ul {
  list-style-type: none;
  padding: 0;
}

h3 {
  color: var(--orange);
  margin: 10px 0;
  text-transform: lowercase;
  font-size: 1.25em;
}

.resume {
  width: 960px;
  background: var(--darkest-blue);
  color: var(--white);
  margin: 20px auto;
  box-shadow: 10px 10px var(--black);
  position: relative;
  display: flex;
}
.resume .base,
.resume .func {
  box-sizing: border-box;
  float: left;
}
.resume .base > div,
.resume .func > div {
  padding-bottom: 10px;
}
.resume .base > div:last-of-type,
.resume .func > div:last-of-type {
  padding-bottom: 0;
}
.resume .base {
  width: 30%;
  padding: 30px 15px;
  background: var(--darker-blue);
  color: var(--white);
}
.resume .base .profile {
  background: var(--orange);
  padding: 30px 15px 40px 15px;
  margin: -30px -15px 45px -15px;
  position: relative;
  z-index: 2;
}
.resume .base .profile::after {
  content: "";
  position: absolute;
  background: var(--dark-blue);
  width: 100%;
  height: 30px;
  bottom: -15px;
  left: 0;
  transform: skewY(-5deg);
  z-index: -1;
}

.resume .base .profile .photo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto auto 0;
  padding: 8px;
}
.resume .base .profile .photo img {
  float: left;
  width: 100%;
  margin: 20px;
  border-radius: 50%;
  border: 7px solid var(--darker-blue);
}
/*.resume .base .profile .fa-rocket {
  font-size: 100px;
  text-align: center;
  margin: auto;
  color: var(--darker-blue);
}*/
.resume .base .profile .info {
  text-align: center;
  color: var(--white);
}
.resume .base .profile .info .name {
  margin-top: 10px;
  margin-bottom: 0;
  font-size: 1.65em;
  font-family: 'Open Sans', sans-serif;
  text-transform: uppercase;
  color: var(--darkest-blue);
}
.resume .base .profile .info .job {
  margin-top: 10px;
  margin-bottom: 0;
  font-size: 1.5em;
  text-transform: lowercase;
  color: var(--darker-blue);
}

.resume .base .about p a:hover,
.resume .base .contact div a:hover,
.resume .base .contact div:hover i,
.resume .base .certificates div a:hover,
.resume .base .certificates div:hover i,
.func ul li small a:hover {
  color: var(--yellow);
}
.resume .base .about p a:hover span::after,
.resume .base .contact div a:hover span::after,
.resume .base .certificates div a:hover span::after,
.func ul li small a:hover span::after {
  width: 100%;
}
.resume .base .about p span,
.resume .base .contact div span,
.resume .base .certificates div span,
.func ul li small span {
  position: relative;
}
.resume .base .about p span::after,
.resume .base .contact div span::after,
.resume .base .certificates div span::after,
.func ul li small span::after {
  content: "";
  position: absolute;
  background: var(--yellow);
  height: 1px;
  width: 0;
  bottom: 0;
  left: 0;
  transition-duration: 0.3s;
}

.resume .base .contact div,
.resume .base .certificates div {
  line-height: 22px;
  font-size: 14px;
  font-weight: bold;
}
.resume .base .contact div i,
.resume .base .certificates div i {
  color: var(--orange);
  width: 20px;
  height: 20px;
  font-size: 18px;
  text-align: center;
  margin-right: 8px;
  transition-duration: 0.3s;
}

.resume .base .follow .box {
  text-align: center;
  vertical-align: middle;
}
.resume .base .follow .box a {
  display: inline-block;
  vertical-align: text-bottom;
}
.resume .base .follow .box a:hover i {
  background: var(--yellow);
  border-radius: 5px;
  transform: rotate(45deg) scale(0.8);
}
.resume .base .follow .box a:hover i::before {
  transform: rotate(-45deg) scale(1.5);
}
.resume .base .follow .box i {
  display: inline-block;
  font-size: 30px;
  background: var(--orange);
  width: 60px;
  height: 60px;
  border-radius: 50%;
  line-height: 60px;
  color: var(--darker-blue);
  margin: 0 10px 10px 10px;
  transition-duration: 0.3s;
}
.resume .base .follow .box i::before {
  transition-duration: 0.3s;
}
.resume .base .follow .box i.fa::before {
  display: block;
}
.resume .func {
  width: 100%;
  padding: 30px;
}
.resume .func:hover > div {
  transition-duration: 0.5s;
}
.resume .func:hover > div:hover h3 i {
  transform: scale(1.25);
}
.resume .func:hover > div:not(:hover) {
  opacity: 0.5;
}
.resume .func h3 {
  transition-duration: 0.3s;
  margin-top: 0;
}
.resume .func h3 i {
  color:var(--darker-blue);
  background: var(--orange);
  width: 42px;
  height: 42px;
  font-size: 20px;
  line-height: 42px;
  border-radius: 50%;
  text-align: center;
  vertical-align: middle;
  margin-right: 8px;
  transition-duration: 0.3s;
}
.resume .func .work,
.resume .func .edu {
  float: left;
}
.resume .func .work small,
.resume .func .edu small {
  display: block;
  opacity: 0.7;
}
.resume .func .work ul li,
.resume .func .edu ul li {
  position: relative;
  margin-left: 15px;
  padding-left: 25px;
  padding-bottom: 15px;
}
.resume .func .work ul li:hover::before,
.resume .func .edu ul li:hover::before {
  animation: circle 1.2s infinite;
}
.resume .func .work ul li:hover span,
.resume .func .edu ul li:hover span {
  color: var(--yellow);
}
@keyframes circle {
  from {
    box-shadow: 0 0 0 0px var(--yellow);
  }
  to {
    box-shadow: 0 0 0 6px rgba(255, 255, 255, 0);
  }
}
.resume .func .work ul li:first-of-type::before,
.resume .func .edu ul li:first-of-type::before {
  width: 10px;
  height: 10px;
  left: 1px;
}
.resume .func .work ul li:last-of-type,
.resume .func .edu ul li:last-of-type {
  padding-bottom: 3px;
}
.resume .func .work ul li:last-of-type::after,
.resume .func .edu ul li:last-of-type::after {
  border-radius: 1.5px;
}
.resume .func .work ul li::before,
.resume .func .work ul li::after,
.resume .func .edu ul li::before,
.resume .func .edu ul li::after {
  content: "";
  display: block;
  position: absolute;
}
.resume .func .work ul li::before,
.resume .func .edu ul li::before {
  width: 7px;
  height: 7px;
  border: 3px solid var(--white);
  background: var(--orange);
  border-radius: 50%;
  left: 3px;
  z-index: 1;
}
.resume .func .work ul li::after,
.resume .func .edu ul li::after {
  width: 3px;
  height: 100%;
  background: var(--white);
  left: 5px;
  top: 0;
}
.resume .func .work ul li span,
.resume .func .edu ul li span {
  transition-duration: 0.3s;
}
.resume .func .work {
  width: 48%;
  background: var(--darker-blue);
  padding: 15px;
  margin: 0 4% 15px 0;
}
.resume .func .edu {
  width: 48%;
  background: var(--darker-blue);
  padding: 15px;
}
.resume .func .skills-prog {
  clear: both;
  background: var(--darker-blue);
  padding: 15px;
}
.resume .func .skills-prog ul {
  margin-left: 15px;
}
.resume .func .skills-prog ul li {
  margin-bottom: 8px;
  align-items: center;
  margin-left: 50px;
  padding: 5px;
}
.resume .func .skills-prog ul li span {
  display: block;
}
.resume .func .skills-prog ul li .bar {
  background: var(--white);
  height: 4px;
  display: block;
  border-radius: 2px;
  overflow: hidden;
}
.resume .func .skills-prog ul li .bar:hover {
  box-shadow: 0 0 0 1px var(--yellow);
}
.resume .func .skills-prog ul li .bar span {
  background: var(--orange);
  height: 6px;
  float: left;
  text-align: right;
	color: var(--white);
	font-weight: bold;
}
.indesign {
  width: 85%;
  animation: indesign 3s;
}
@keyframes indesign {
  0% {
      width: 0%;
  }
  100% {
      width: 85%;
  }
}
.illustrator {
  width: 65%;
  animation: illustrator 3s;
}
@keyframes illustrator {
  0% {
      width: 0%;
  }
  100% {
      width: 65%;
  }
}
.max {
  width: 60%;
  animation: max 3s;
}
@keyframes max {
  0% {
      width: 0%;
  }
  100% {
      width: 60%;
  }
}
.html {
  width: 95%;
  animation: html 3s;
}
@keyframes html {
  0% {
      width: 0%;
  }
  100% {
      width: 95%;
  }
}
.css {
  width: 80%;
  animation: css 3s;
}
@keyframes css {
  0% {
      width: 0%;
  }
  100% {
      width: 80%;
  }
}
.wordpress {
  width: 90%;
  animation: wordpress 3s;
}
@keyframes wordpress {
  0% {
      width: 0%;
  }
  100% {
      width: 90%;
  }
}
.javascript {
  width: 70%;
  animation: javascript 3s;
}
@keyframes javascript {
  0% {
      width: 0%;
  }
  100% {
      width: 70%;
  }
}
.python {
  width: 75%;
  animation: python 3s;
}
@keyframes python {
  0% {
      width: 0%;
  }
  100% {
      width: 75%;
  }
}
.resume .func .skills-soft {
  clear: both;
  background: var(--darker-blue);
  padding: 15px;
  margin: 15px 0;
}
.resume .func .skills-soft ul {
  display: flex;
  justify-content: space-between;
  text-align: center;
}
.resume .func .skills-soft ul li {
  position: relative;
}
.resume .func .skills-soft ul li:hover svg .cbar {
  stroke: var(--yellow);
  stroke-width: 4px;
}
.resume .func .skills-soft ul li:hover span,
.resume .func .skills-soft ul li:hover small {
  transform: scale(1.2);
}
.resume .func .skills-soft ul li svg {
  width: 95%;
}
.resume .func .skills-soft ul li svg .cbar {
  stroke-width: 3px;
  stroke: var(--orange);
  stroke-linecap: round;
}
.resume .func .skills-soft ul li span,
.resume .func .skills-soft ul li small {
  position: absolute;
  display: block;
  width: 100%;
  top: 52%;
  transition-duration: 0.3s;
}
.resume .func .skills-soft ul li span {
  top: 40%;
}
.resume .func .interests {
  background: var(--darker-blue);
  margin: 15px 0 0;
  padding: 15px;
}
.resume .func .interests-items,
.resume .base .interests-items {
  box-sizing: border-box;
  padding: 0 0 15px;
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: space-between;
}
.resume .func .interests-items div,
.resume .base .resume-dow .interests-items div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100px;
  height: 100px;
  border-radius: 50%;
}
.resume .func .interests-items div:hover i,
.resume .base .resume-dow .interests-items div:hover i {
  transform: scale(1.2);
}

.resume .base .resume-dow .interests-items div:hover span {
  color: var(--yellow);
  transition-duration: 0.3s;
}
.resume .func .interests-items div i,
.resume .base .resume-dow .interests-items div i {
  font-size: 45px;
  width: 60px;
  height: 60px;
  line-height: 60px;
  color: var(--orange);
  transition-duration: 0.3s;
}

.resume .base .resume-dow .interests-items div span {
  display: block;
}

table {
  border-collapse: collapse;
  width: 100%;
}

td {
  padding: 8px;
  text-align: left;
  border-bottom: 1px solid var(--white);
}

tr:hover {background-color: var(--dark-blue);}

td a:link {
  background-color: transparent;
  text-decoration: none;
  
}
td a:hover {
  color: var(--yellow);
  text-decoration: underline;
  transition-duration: 0.3s;
}

/* start Gallery */ 
section {
  margin: 0;
  min-height: 100vh;
  font-family: sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.grid-container {
  columns: 5 200px;
  column-gap: 1.5rem;
  width: 90%;
  margin: 0 auto;
}
.grid-container div {
  width: 150px;
  margin: 0 1.5rem 1.5rem 0;
  display: inline-block;
  width: 100%;
  border: solid 2px var(--white);
  padding: 5px;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.5);
  border-radius: 5px;
  transition: all .25s ease-in-out;
}
.grid-container div:hover {border-color: coral;}
.grid-container div img {
  width: 100%;
  filter: grayscale(100%);
  border-radius: 5px;
  transition: all .25s ease-in-out;
}
.grid-container div:hover img {filter: grayscale(0);}
.grid-container div p {
  margin: 5px 0;
  padding: 0;
  color: var(--white);
  text-align: center;
  font-style: italic;
}

.gallery {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10vmin;
  overflow: hidden;
  transform: skew(5deg);
}
.gallery .card {
  flex: 1;
  transition: all 1s ease-in-out;
  height: 75vmin;
  position: relative;
}
.card  .card__head {
  color: black;
  background: rgba(255, 30, 173, 0.75);
  padding: 0.5em;
  transform: rotate(-90deg);
  transform-origin: 0% 0%;
  transition: all 0.5s ease-in-out;
  min-width: 100%;
  text-align: center;
  position: absolute;
  bottom: 0;
  left: 0;
  font-size: 1em;
  white-space: nowrap;
}

.card:hover {flex-grow: 10;}
.card:hover img {filter: grayscale(0);}
.card:hover .card__head {
  text-align: center;
  top: calc(100% - 2em);
  color: white;
  background: rgba(0, 0, 0, 0.5);
  font-size: 2em;
  transform: rotate(0deg) skew(-5deg);
}
.card  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 1s ease-in-out;
  filter: grayscale(100%);
}
.card:not(:nth-child(5)) {margin-right: 1em;}

/* End Gallery */ 

